%define anolis_release 7

Name:     libplist
Version:  2.2.0
Release:  %{anolis_release}%{?dist}
Summary:  Library for manipulating Apple Binary and XML Property Lists

License:  LGPLv2+
URL:      http://www.libimobiledevice.org/
Source0:  https://github.com/libimobiledevice/libplist/releases/download/%{version}/%{name}-%{version}.tar.bz2
BuildRequires: chrpath
BuildRequires: gcc gcc-c++
BuildRequires: python3-Cython
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: make

%description
libplist is a library for manipulating Apple Binary and XML Property Lists

%package doc
Summary: Documentation files for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package  devel
Summary:  Development package for libplist
Requires: %{name} = %{version}-%{release}

%description devel
%{name}, development headers and libraries.

%package  -n python3-libplist
%{?python_provide:%python_provide python3-libplist}
# Remove before F30
Provides: %{name}-python = %{version}-%{release}
Obsoletes: %{name}-python < %{version}-%{release}
Obsoletes: python2-%{name} < %{version}-%{release}
Summary:  Python3 bindings for libplist
%{?python_provide:%python_provide python3-libplist}
Requires: %{name} = %{version}-%{release}

%description -n python3-libplist
%{name}, python2 libraries and bindings.

%prep
%autosetup -p1

%build
export CFLAGS='%optflags -fno-strict-aliasing'
export CXXFLAGS='%optflags -fno-strict-aliasing'
%configure --disable-static PYTHON=%{__python3}

%make_build

%install
%make_install

chrpath --delete $RPM_BUILD_ROOT%{_bindir}/plistutil
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/*.so.*
chrpath --delete $RPM_BUILD_ROOT%{python3_sitearch}/*.so

%generate_compatibility_deps

%check
%make_build check

%files
%license COPYING.LESSER
%dir %{abidir}
%{_bindir}/plistutil
%{abidir}/plistutil-option.list
%{_libdir}/libplist-2.0.so.3*
%{_libdir}/libplist++-2.0.so.3*
%{abidir}/libplist-2.0.dump
%{abidir}/libplist++-2.0.dump
%{_mandir}/man1/*

%files doc
%doc AUTHORS README.md

%files devel
%{_libdir}/pkgconfig/libplist-2.0.pc
%{_libdir}/pkgconfig/libplist++-2.0.pc
%{_libdir}/libplist-2.0.so
%{_libdir}/libplist++-2.0.so
%{_includedir}/plist

%files -n python3-libplist
%{python3_sitearch}/plist.so
%{abidir}/plist.dump

%changelog
* Tue Mar 12 2024 Bo Ren <rb01097748@alibaba-inc.com> - 2.2.0-7
- Rebuild with python3.11

* Tue Apr 11 2023 Funda Wang <fundawang@yeah.net> - 2.2.0-6
- add abi files and doc sub package

* Wed Apr 06 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.2.0-1
- Init from upstream version 2.2.0
